# Set-RASCertificate.md

## NAME

Set-RASCertificate

## SYNOPSIS

Modifies the details of a Certificate.

## SYNTAX

**Set-RASCertificate** \[[Id](#id-string)] *(uint)* \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[IntermediateFile](#intermediatefile-string) *(string)*] \[[NewName](#newname-string) *(string)*] \[[PfxFile](#pfxfile-string) *(string)*] \[[PfxPassword](#pfxpassword-string) *(SecureString)*] \[[PublicKeyFile](#publickeyfile-string) *(string)*] \[-[Usage](#Usage) {None | Gateway | HALB}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASCertificate \[-[InputObject](#inputobject)] *(*[*Certificate*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificate.md)*)* \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[IntermediateFile](#intermediatefile-string) *(string)*] \[[NewName](#newname-string) *(string)*] \[[PfxFile](#pfxfile-string) *(string)*] \[[PfxPassword](#pfxpassword-string) *(SecureString)*] \[[PublicKeyFile](#publickeyfile-string) *(string)*] \[-[Usage](#Usage) {None | Gateway | HALB}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASCertificate** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[IntermediateFile](#intermediatefile-string) *(string)*] \[[NewName](#newname-string) *(string)*] \[[PfxFile](#pfxfile-string) *(string)*] \[[PfxPassword](#pfxpassword-string) *(SecureString)*] \[[PublicKeyFile](#publickeyfile-string) *(string)*] \[-[Usage](#Usage) {None | Gateway | HALB}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Changes the basic details of a Certificate, sets the Public Key of a Requested Certificate or sets the Intermediate of an Imported Certificate.

## PARAMETERS

## Name (string)

The name of the target Certificate.

This must be the actual Certificate name used in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified Certificate.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the Certificate to modify. To obtain the ID, use the Get-Certificate cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Certificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificate.md))

The Certificate to modify.

To obtain an object of type Certificate representing a Certificate, use the Get-Certificate cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## NewName (string)

The new name of the target Certificate.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

A user-defined Certificate description.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Usage ([Certificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificate.md))

Change the Usage for the Certificate.

Possible values: None, Gateway, HALB

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Enable or disable the specified Certificate in a site.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PublicKeyFile (string)

Public Key file name.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PfxFile (string)

Certificate file name in pfx format.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PfxPassword (SecureString)

The password of the pfx file specified in the PfxFile parameter.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## IntermediateFile (string)

Intermediate file name.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Certificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificate.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASCertificate -Name "Cert0" -NewName "Cert1"

Changes the name of Cert0, within the Licensing Site, to Cert1.\
\*\*---------- EXAMPLE 2 ----------

Set-RASCertificate -Name "ImportedCert" -SiteId 2 -IntermediateFile "C:\intermediate.crt"

Modifies the Intermediate of the Imported Certificate (ImportedCert) within Site 2 to the contents of intermediate.crt\
\*\*---------- EXAMPLE 3 ----------

Set-RASCertificate -Name "RequestedCert" -SiteId 3 -PublicKeyFile "C:\publicKey.crt"

Modifies the Public Key of the Requested Certificate (RequestedCert) within Site 3 to the public key within publicKey.crt

## RELATED LINKS

* [Get-RASCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascertificate.md)
* [New-RASCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rascertificate.md)
* [Remove-RASCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rascertificate.md)
* [Invoke-RASExportCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasexportcertificate.md)
* [Invoke-RASCertificateCmd](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rascertificatecmd.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascertificate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
